
Summary:	Free Office Suite
Name:		onlyoffice-desktopeditors
Version:	4.3.2.48
Release:	%mkrel 1
License:	GPL
Group:		Office
URL:		https://www.onlyoffice.com/download-desktop.aspx
#-----------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
ONLYOFFICE Desktop Editors is an open-source office suite that combines text,
spreadsheet and presentation editors,

%prep


%build
#nobuild


%install
rm -rf %buildroot
mkdir -p %buildroot/%{_libdir}

cd %{_sourcedir}
wget -nc http://download.onlyoffice.com/install/desktop/editors/linux/onlyoffice-desktopeditors-x64.tar.gz
tar -xvzf onlyoffice-desktopeditors-x64.tar.gz -C %buildroot/%{_libdir}
cd ..

#icon
mkdir -p %buildroot/%{_datadir}/pixmaps
/bin/cp %buildroot/%{_libdir}/desktopeditors/asc-de-48.png %buildroot/%{_datadir}/pixmaps/onlyoffice.png

#menu
mkdir -p %buildroot/%_datadir/applications
cat > %buildroot/%{_datadir}/applications/onlyoffice.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=OnlyOffice
GenericName=OnlyOffice Desktop Editors
Type=Application
Exec=onlyoffice
TryExec=onlyoffice
Icon=onlyoffice.png
Comment=OnlyOffice Suite
Categories=Office;
Terminal=false
StartupNotify=true
Path=/usr/lib64/desktopeditors
EOF

#executable
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/onlyoffice << EOF
#!/bin/sh
cd /usr/lib64/desktopeditors
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib64/desktopeditors
exec ./DesktopEditors $@
cd ..
EOF

chmod a+x %{buildroot}%{_bindir}/onlyoffice

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_libdir}/desktopeditors
%{_datadir}/pixmaps/onlyoffice.png
%{_datadir}/applications/onlyoffice.desktop
%{_bindir}/onlyoffice


%changelog
* Tue May 09 2017 bb2 <bb2> - 4.3.2.48-1pclos2017
- create package
